Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.util
Class IteratedSelectObserver

    java.lang.Object
      org.apache.cayenne.access.util.DefaultOperationObserver
          org.apache.cayenne.access.util.IteratedSelectObserver

All Implemented Interfaces:
  OperationHints, OperationObserver

    public class IteratedSelectObserver

extends DefaultOperationObserver

OperationObserver that is used to track the execution of SelectQueries with results returned as ResultIterator.

Author:
  Andrei Adamchik

Field Summary
`protected ResultIterator` | `resultIterator`

Fields inherited from class org.apache.cayenne.access.util.DefaultOperationObserver
`DEFAULT_LOG_LEVEL, globalExceptions, queryExceptions`

Constructor Summary
`IteratedSelectObserver()`

Method Summary
`ResultIterator` | `getResultIterator()`
`boolean` | `isIteratedResult()` Returns `false`.
`void` | `nextDataRows(Query query, java.util.List dataRows)` Callback method invoked for each processed ResultSet.
`void` | `nextDataRows(Query q, ResultIterator it)` Closes ResultIterator without reading its data.

Methods inherited from class org.apache.cayenne.access.util.DefaultOperationObserver
`getGlobalExceptions, getLoggingLevel, getQueryExceptions, hasExceptions, nextBatchCount, nextCount, nextGeneratedDataRows, nextGlobalException, nextQueryException, printExceptions, setLoggingLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultIterator

    protected ResultIterator resultIterator

Constructor Detail

### IteratedSelectObserver

    public IteratedSelectObserver()

Method Detail

### isIteratedResult

    public boolean isIteratedResult()

  Description copied from class: `DefaultOperationObserver`
  Returns `false`.

  Specified by:
    `isIteratedResult` in interface `OperationHints`
  Overrides:
    `isIteratedResult` in class `DefaultOperationObserver`

### nextDataRows

    public void nextDataRows(Query query,
                             java.util.List dataRows)

  Description copied from interface: `OperationObserver`
  Callback method invoked for each processed ResultSet.

  Specified by:
    `nextDataRows` in interface `OperationObserver`
  Overrides:
    `nextDataRows` in class `DefaultOperationObserver`

### nextDataRows

    public void nextDataRows(Query q,
                             ResultIterator it)

  Description copied from class: `DefaultOperationObserver`
  Closes ResultIterator without reading its data. If you implement a custom subclass, only call super if closing the iterator is what you need.

  Specified by:
    `nextDataRows` in interface `OperationObserver`
  Overrides:
    `nextDataRows` in class `DefaultOperationObserver`

### getResultIterator

    public ResultIterator getResultIterator()
                                     throws CayenneException

  Throws:
    `CayenneException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.